apply from: "dependencies.gradle"

rootProject {
    buildscript {
        dependencies {
            classpath "io.github.didi.dokit:dokitx-plugin:${dokit}"
        }
    }

    subprojects {
        afterEvaluate { project ->
            if (project.name == "app") {
                project.apply plugin: 'com.didi.dokit'
                project.dokitExt {
                    //通用设置
                    comm {
                        //地图经纬度开关
                        gpsSwitch true
                        //网络开关
                        networkSwitch true
                        //大图开关
                        bigImgSwitch true
                        //webView js 抓包
                        webViewSwitch true
                    }

                    slowMethod {
                        //调用栈模式配置 对应gradle.properties中DOKIT_METHOD_STRATEGY=0
                        stackMethod {
                            //默认值为 5ms 小于该值的函数在调用栈中不显示
                            thresholdTime 10
                        }
                        //普通模式配置 对应gradle.properties中DOKIT_METHOD_STRATEGY=1
                        normalMethod {
                            //默认值为 500ms 小于该值的函数在运行时不会在控制台中被打印
                            thresholdTime 500
                        }
                    }
                }
            }
        }
    }
}